﻿@model CokingPlace.Models.Recipe

@{
    ViewBag.Title = Model.Name;
}

<div class="recipe-viewer">
    <div class="page-header">
        <h2>@Model.Name</h2>
        @if ((bool)ViewBag.IsAuthor)
        {
            <div>
                <a href="@Url.Action("Edit", new { id = Model.Id })" class="icon-link">
                    <span class="glyphicon glyphicon-edit"></span>
                </a>
                <a href="@Url.Action("Delete", new { id = Model.Id })" class="icon-link">
                    <span class="glyphicon glyphicon-trash"></span>
                </a>
            </div>
        }
    </div>

    <div class="container">

        <img class="col-md-3 col-xs-6 recipe-img" src="@Url.Content(Model.ImageUrl)" alt="@Model.Name" />
        <p>@Model.Description</p>
        <h4>
            <span class="glyphicon glyphicon-time"></span> @Model.CookingTime хв.
        </h4>
        <ul class="ingredients-list">
            @foreach (var item in Model.IngridientsList)
            {
                <li>@item</li>
            }
        </ul>
        <p>@Model.CookingProcess</p>
        <div class="recipe-footer">
            <p>
                <span class="glyphicon glyphicon-user"></span> @Model.UserName
            </p>
            <p>@Model.CreationDate.ToShortDateString()</p>
        </div>
    </div>

    @*<dl class="dl-horizontal">



            <dt>
                @Html.DisplayNameFor(model => model.CategoryId)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.CategoryId)
            </dd>
          
            <dt>
                @Html.DisplayNameFor(model => model.CookingProcess)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.CookingProcess)
            </dd>

  
            <dt>
                @Html.DisplayNameFor(model => model.IsLikedByCurrentUser)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.IsLikedByCurrentUser)
            </dd>

        </dl>*@
</div>
<p>
    @Html.ActionLink("« До списку рецептів", "Index", null, new { @class = "redirect-link" })
</p>
